VisualEditor: Support editing nowiki blocks
Closed, ResolvedPublic

Description

If users can't edit in nowiki blocks, they will make accidental wikitext-like items and be forever unable to edit them in future.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz47678.
Jdforrester-WMF created this task.Via LegacyApr 25 2013, 11:01 PM
Jdforrester-WMF added a comment.Via ConduitApr 25 2013, 11:01 PM
  • Bug 47677 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitApr 25 2013, 11:10 PM

Theoretically users should never know something's been <nowiki>'ed - possibly we could just silently drop them and Parsoid re-applies them automatically on save?

(This assumes we can rely on Parsoid to do this with no or very few false negatives - false positives, which we already have a little of, wouldn't be a huge problems for VE users.)

gerritbot added a comment.Via ConduitJul 17 2013, 2:10 AM

Change 74107 had a related patch set uploaded by Catrope:
Add a node class for mw:Nowiki

https://gerrit.wikimedia.org/r/74107

gerritbot added a comment.Via ConduitJul 19 2013, 7:11 PM

Change 74107 merged by jenkins-bot:
Add a node class for mw:Nowiki

https://gerrit.wikimedia.org/r/74107

Jdforrester-WMF added a comment.Via ConduitJul 19 2013, 7:30 PM

Done and merged.

Jdforrester-WMF added a comment.Via ConduitJul 26 2013, 10:59 PM
  • Bug 51950 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.